---
apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: ${{ values.name }}
  description: This is a Backstage component created from the custom template that forks the PetClinic
  annotations:
    backstage.io/techdocs-ref: dir:.
    backstage.io/kubernetes-label-selector: 'entity-id=${{ values.name }}'
    backstage.io/kubernetes-namespace: gitea
  links:
    - url: https://gitea.demo-forgejo.think-ahead.cloud:443
      title: Repo URL
      icon: git
spec:
  owner: guests
  lifecycle: experimental
  type: service
  system: ${{ values.name | dump }}
---
apiVersion: backstage.io/v1alpha1
kind: System
metadata:
  name: ${{ values.name | dump }}
  description: A system for managing services created from the Gitea template.
  annotations:
    backstage.io/techdocs-ref: dir:.
  links:
    - url: https://gitea.demo-forgejo.think-ahead.cloud:443
      title: Gitea Repo
      icon: git
spec:
  owner: guests
  lifecycle: experimental
  type: service

